gr::lte::layer_demapper_vcvc_impl Class Reference

`#include <layer_demapper_vcvc_impl.h>`

Inheritance diagram for gr::lte::layer_demapper_vcvc_impl:
[legend]

## Public Member Functions

| layer_demapper_vcvc_impl (std::string &name, int N_ant, int vlen, std::string style)
| ~layer_demapper_vcvc_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | set_N_ant (int N_ant)
int | get_N_ant ()
void | set_decoding_style (std::string style)
std::string | get_decoding_style ()

## Additional Inherited Members

Public Types inherited from gr::lte::layer_demapper_vcvc
typedef boost::shared_ptr< layer_demapper_vcvc > | sptr
Static Public Member Functions inherited from gr::lte::layer_demapper_vcvc
static sptr | make (int N_ant, int vlen, std::string style, std::string name="layer_demapper_vcvc")
| Return a shared_ptr to a new instance of lte::layer_demapper_vcvc.

## Constructor & Destructor Documentation

## layer_demapper_vcvc_impl()

gr::lte::layer_demapper_vcvc_impl::layer_demapper_vcvc_impl | ( | std::string & | name,
|  | int | N_ant,
|  | int | vlen,
|  | std::string | style )

## ~layer_demapper_vcvc_impl()

gr::lte::layer_demapper_vcvc_impl::~layer_demapper_vcvc_impl | ( |  | ) |

## Member Function Documentation

## get_decoding_style()

std::string gr::lte::layer_demapper_vcvc_impl::get_decoding_style | ( |  | ) |

inlinevirtual

Implements gr::lte::layer_demapper_vcvc.

## get_N_ant()

int gr::lte::layer_demapper_vcvc_impl::get_N_ant | ( |  | ) |

inlinevirtual

Implements gr::lte::layer_demapper_vcvc.

## set_decoding_style()

void gr::lte::layer_demapper_vcvc_impl::set_decoding_style | ( | std::string | style | ) |

virtual

Implements gr::lte::layer_demapper_vcvc.

## set_N_ant()

void gr::lte::layer_demapper_vcvc_impl::set_N_ant | ( | int | N_ant | ) |

virtual

Implements gr::lte::layer_demapper_vcvc.

## work()

int gr::lte::layer_demapper_vcvc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- layer_demapper_vcvc_impl.h